Package org.snpeff.stats.plot

# Class GoogleHistogram

java.lang.Object
org.snpeff.stats.plot.GooglePlotInt
org.snpeff.stats.plot.GoogleHistogram

public class GoogleHistogram extends GooglePlotInt
A simple wrapper to goolge charts API (from charts4j)

Author:
  pcingola

## Field Summary

### Fields inherited from class org.snpeff.stats.plot.GooglePlotInt

`MAX_DATA_POINTS`

## Constructor Summary

Constructors
Constructor
Description
`GoogleHistogram(int[] x, int[] y, String title, String xAxisLabel, String yAxisLabel)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getMaxBins()`
`void`
`setMaxBins(int maxBins)`
`String`
`toURLString()`
Create a histogram plot using Google charts

### Methods inherited from class org.snpeff.stats.plot.GooglePlotInt

`getBarSpace, getBarWidth, getNumberLabelsXaxis, getPlotMaxData, getPlotSizeX, getPlotSizeY, getTitle, getxAxisLabel, setBarSpace, setBarWidth, setNumberLabelsXaxis, setPlotMaxData, setPlotSizeX, setPlotSizeY, setTitle, setxAxisLabel, subsample`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GoogleHistogram

public GoogleHistogram(int[] x, int[] y, String title, String xAxisLabel, String yAxisLabel)

## Method Details

### getMaxBins

public int getMaxBins()

### setMaxBins

public void setMaxBins(int maxBins)

### toURLString

public String toURLString()
Create a histogram plot using Google charts

Overrides:
  `toURLString` in class `GooglePlotInt`
Returns: